Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5225 - 'wmconfig' confused by ".directory" files in GNOME (which have'name' but no 'exec')
Summary: 'wmconfig' confused by ".directory" files in GNOME (which have'name' but no '...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: wmconfig
Version: 6.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-19 15:06 UTC by Jeff Morriss
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-10-05 06:16:03 UTC


Attachments (Terms of Use)

Description Jeff Morriss 1999-09-19 15:06:56 UTC
After installing GNOME on my Redhat 6.0 system I noticed
that a lot of the the menus in 'fvwm2' had an entry with the
same name as the title of the directory but which didn't do
anything when clicked on.

Investigation showed this in the (generated) fvwmrc file:

# The following is added by package: Games
AddToMenu       AUTO_WM_CONFIG.Games    "Games" Exec    &


Further investigation showed that this line was being added
by 'wmconfig'(v 0.9.5) when it parsed
"/usr/share/gnome/apps/Games/.directory".  That
file, I guess, contains info that GNOME uses when it
generates menu titles.

I think the easiest (and probably correct) fix is to change
(in "input-gnome.c" in 'read_gnome_file()'):

    if (!dentry->name && !dentry->exec[0]) {
        gnome_desktop_entry_free(dentry);
        return -1;
    }

to:

    if (!dentry->name || !dentry->exec[0]) {
        gnome_desktop_entry_free(dentry);
        return -1;
    }

That way if, in general, there is some config file out there
which gives no 'exec' line, it won't be added to the menu.

ps.  I noted that this has not been changed in 'wmconfig'
0.9.7, either.

Comment 1 Cristian Gafton 1999-10-05 06:16:59 UTC
I recompiled wmconfig to ignore the dot  entries in a directory. The
wmconfig binary out of 6.1 should work okay (and continue to work with
6.0, fwiw)


Note You need to log in before you can comment on or make changes to this bug.